/* global jest: true */

const PushNotification = jest.genMockFromModule('react-native-push-notification');

PushNotification.configure = jest.fn();
PushNotification.onRegister = jest.fn();
PushNotification.onNotification = jest.fn();
PushNotification.addEventListener = jest.fn();
PushNotification.requestPermissions = jest.fn();
PushNotification.cancelAllLocalNotifications = jest.fn();
PushNotification.setApplicationIconBadgeNumber = jest.fn();

export default PushNotification;
